<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Bank</title>
    <link rel="stylesheet" href="css/bootstrap.min.css" />
    <link rel="stylesheet" href="css/jquery-ui.min.css" />
</head>

<body>
    <div class="container">
        <h1>Bank Application</h1>
        <table class="table table-striped">
            <thead>
                <th scope="col">ID</th>
                <th scope="col">First name</th>
                <th scope="col">Last name</th>
                <th scope="col">Birthday</th>
                <th scope="col">Address</th>
                <th scope="col">Accounts</th>
            </thead>
            <tbody id="customer_list"></tbody>
        </table>
    </div>

    <script src="js/jquery.min.js"></script>
    <script src="js/jquery-ui.min.js"></script>
    <script src="js/bootstrap.min.js"></script>

    <script>

        $(document).ready(
            function() {
                // kutsun välja resti teenuse funktsiooni
                giveMeAllCustomers();
            }
        );

        function giveMeAllCustomers() {
            $.ajax(
                {
                    method: "GET",
                    url: "/bank/customer/list",
                    dataType: "json",
                    contentType: "application/json",
                    complete: function (response) {
                        $('#customer_list').empty();
                        var customers = response.responseJSON;
                        for (var i = 0; i < customers.length; i++) {
                            var row = "<tr>";
                            row = row + "<td>" + customers[i].id + "</td>";
                            row = row + "<td>" + customers[i].firstname + "</td>";
                            row = row + "<td>" + customers[i].surname + "</td>";
                            row = row + "<td>" + customers[i].birthday + "</td>";
                            row = row + "<td>" + customers[i].address + "</td>";
                            row = row + "<td>";
                            for (var j = 0; j < customers[i].accounts.length; j++) {
                                row = row + customers[i].accounts[j].accountNumber + "<br />";
                            }
                            row = row + "</td>";
                            row = row + "</tr>";
                            $('#customer_list').append(row);
                        }
                    }
                }
            );
        }

    </script>

</body>

</html>